using System;
using System.Collections;
using System.Configuration;
using System.Security.Permissions;
using System.Security.Policy;

class Host
{
	static void Main()
	{
		string appName = ConfigurationSettings.AppSettings["Application Name"];
		Console.WriteLine("Configuration Application Name: {0}.", appName );
	
		
		AppDomain domain = AppDomain.CurrentDomain;
		AppDomainSetup info = domain.SetupInformation;

		Console.WriteLine("Domain name: {0}", domain.FriendlyName);
		Console.WriteLine("Application Base: {0}", info.ApplicationBase);
		Console.WriteLine("Application Name: {0}", info.ApplicationName);
		Console.WriteLine("Config File: {0}", info.ConfigurationFile);
		Console.WriteLine("Loader Optimization: {0}", info.LoaderOptimization);
		Console.WriteLine("Private Bin Path: {0}", info.PrivateBinPath);
	}
}


